Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingRestoreBlockNodeInfo

Frees the memory allocated by `ISLocalToGlobalMappingGetBlockNodeInfo()`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingRestoreBlockNodeInfo(ISLocalToGlobalMapping mapping, PetscInt *n, PetscInt *n_procs[], PetscInt **procs[])

Not Collective

## Input Parameters

- mapping - the mapping from local to global indexing

- n - number of local block nodes

- n_procs - an array storing the number of processes for each local block nodes (including self)

- procs - the processes’ rank for each local block node (sorted, self is first)

## See Also

`ISLocalToGlobalMappingDestroy()`, `ISLocalToGlobalMappingCreateIS()`, `ISLocalToGlobalMappingCreate()`, `ISLocalToGlobalMappingGetBlockNodeInfo()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages